| Home | Libraries | People | FAQ | More

## Function template parse_config_file

boost::program_options::parse_config_file

## Synopsis

    // In header: <boost/program_options/parsers.hpp>

    template<typename charT>
      BOOST_PROGRAM_OPTIONS_DECL basic_parsed_options< charT >
      parse_config_file(const char * filename, const options_description &,
                        bool allow_unregistered = false);

## Description

Parse a config file.

Read from file with the given name. The character type is passed to the file stream.